<?php
/**
 * Created by PhpStorm.
 * User: matthieu
 * Date: 12/11/14
 * Time: 12:24
 */

use ProduitList\ProduitList;

class PanierSave extends ProduitList
{
    protected $typeId = 2;

    public function saveFromPanier(Panier $panier, $nom = '', $desc = '')
    {
        // info client
        $this->client_id = $panier->getCustomer()->client_id;
        $this->produit_list_nom = (!empty($nom)) ? $nom : 'Panier du ' . date('d/m/Y H:i:s');
        $this->produit_list_desc = (!empty($nom)) ? $desc : '';

        // remplir produits avec les infos du panier
        $produits = $panier->getProducts();
        foreach ($produits as $produit) {
            $this->produits[] = $produit;
        }

        parent::save();
    }

} 