{include file="inc/reinsurrance.tpl"}
<footer>
    <div class="footer-container">
        <div class="catalogue">
            <div>
                <h3>Demande de catalogue</h3>
            </div>
            {$demande_catalogue_html}
        </div>

        <div class="mobile-footer">
          <div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">

           <div class="panel panel-default collapse-group">
              <div role="tab" id="catalogue">
                <h3>
                  <a role="button" data-toggle="collapse" class="collapsed" data-parent="#accordion" href="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                    {txt value="DEMANDE DE CATALOGUE"}
                  </a>
                </h3>
              </div>
              <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="catalogue">
                <div>
                    {$demande_catalogue_html}
                </div>
              </div>
            </div>


            <div class="panel panel-default">
              <div role="tab" id="united">
                <h3>
                  <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                    {txt value='DEDI AGENCY'}
                  </a>
                </h3>
              </div>
              <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="united">
                    <ul>
                        <li>
                            <a href="{url page='commande' page_nom_url='qui-sommes-nous'}">{txt value='Qui sommes nous ?'}</a>
                        </li>
                        <li>
                            <a href="{url page='compte_sav' page_nom_url='nos-engagements-qualites'}">Nos engagaments qualité</a>
                        </li>
                        <li>
                            <a href="{url page='commande' page_nom_url='centre-de-formation-partenaires'}">Centres de Formation Partenaires</a>
                        </li>
                    </ul>
              </div>
            </div>

            <div class="panel panel-default">
              <div role="tab" id="compte">
                <h3>
                  <a class="collapsed" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                    {txt value='MON COMPTE'}
                  </a>
                </h3>
              </div>
              <div id="collapseThree" class="panel-collapse collapse" role="tabpanel" aria-labelledby="compte">
                  <ul id="account-links">
                      <li>
                          <a href="{url page='commande'}">{txt value='Mes commandes'}</a>
                      </li>
                      <li>
                          <a href="{url page='compte_sav'}">{txt value='Service Après-Vente'}</a>
                      </li>
                      <li>
                          <a href="{url page='commande'}">{txt value='Retourner un article'}</a>
                      </li>
                  </ul>
              </div>
            </div>

          </div>
        </div>

        <div class="links">
            <div class="internal">
                <div>
                    <h3>{txt value='DEDI AGENCY'}</h3>

                    <ul>
                        <li>
                            <a href="{url page='page' page_nom_url='qui-sommes-nous'}">{txt value='Qui sommes nous ?'}</a>
                        </li>
                        <li>
                            <a href="{url page='page' page_nom_url='nos-engagements-qualites'}">Nos engagaments qualité</a>
                        </li>
                        <li>
                            <a href="{url page='page' page_nom_url='centre-de-formation-partenaires'}">Centres de Formation Partenaires</a>
                        </li>
                    </ul>
                </div>

                <div>
                    <h3>{txt value='MON COMPTE'}</h3>

                    <ul id="account-links">
                        <li>
                            <a href="{url page='commande'}">{txt value='Mes commandes'}</a>
                        </li>
                        <li>
                            <a href="{url page='compte_sav'}">{txt value='Service Après-Vente'}</a>
                        </li>
                        <li>
                            <a href="{url page='commande'}">{txt value='Retourner un article'}</a>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="partners">
                <div>
                    <a href="{url page='page' page_nom_url='livraison'}">
                        <img src="{$themeFolder}/images/chez-moi.png" alt=""/>
                    </a>
                </div>
                <div>
                    <a href="{url page='page' page_nom_url='paiement-securise'}">
                        <img src="{$themeFolder}/images/3dsecure.png" alt=""/>
                    </a>
                </div>
                <div>
                    <a href="{url page='page' page_nom_url='paiement-securise'}">
                        <img src="{$themeFolder}/images/banque-populaire.png" alt=""/>
                    </a>
                </div>
            </div>
        </div>

        <div class="newsletter-and-social">
            <div class="newsletter">
                <h3>Inscription à la newsletter</h3>

                <form action="{url page='newsletter_subscribe'}" method="post">
                    <div class="input-group">
                        <input type="text" name="email" class="form-control" placeholder="{txt value="Votre email"}" value=""/>
                        <span class="input-group-btn">
                            <input type="submit" value="{txt value="OK"}" class="btn"/>
                        </span>
                    </div>
                </form>
            </div>

            <div class="social">
                <h3>Suivez-nous</h3>

                <div>
                    {if isset($social.facebook)}
                        <a href="{$social.facebook}" target="_blank">
                            <img src="{$themeFolder}/images/facebook-logo.png" alt=""/>
                        </a>
                    {/if}
                </div>

                <div>
                    {if isset($social.linkedin)}
                        <a href="{$social.linkedin}" target="_blank">
                            <img src="{$themeFolder}/images/linkedin-logo.png" alt=""/>
                        </a>
                    {/if}
                </div>

                <div>
                    {if isset($social.viadeo)}
                        <a href="($social.viadeo)" target="_blank">
                            <img src="{$themeFolder}/images/viadeo-logo.png" alt=""/>
                        </a>
                    {/if}
                </div>

                <div>
                    {if isset($social.instagram)}
                        <a href="($social.instagram)" target="_blank">
                            <img src="{$themeFolder}/images/instagram-logo.png" alt=""/>
                        </a>
                    {/if}
                </div>
            </div>
        </div>
    </div>

    <div class="bottom-bar">
        <div class="container">
            <div class="bottom-links right">
                <a href="{url page="sitemap"}">{txt value='Plan du site'}</a> <span>|</span>
                <a href="{url page="page" page_nom_url="mentions-legales"}">{txt value='Mentions légales'}</a> <span>|</span>
                <a href="{url page="page" page_nom_url="conditions-generales-de-vente"}">{txt value='CGV'}</a> <span>|</span>
                {txt value='Copyright © 2015 Dedi Agency'} <span>|</span>
                <a href="http://www.dedi-agency.com/">{txt value='Solution Site internet et solution e-commerce By Dedi'}</a>
            </div>
        </div>
    </div>
</footer>
