<?php

use Event\ApplicationEvent;
use Symfony\Component\EventDispatcher\Event;

/**
 * Class ApplicationHandler
 */
class ApplicationHandler
{
    /**
     * serialize the strucutre of table
     *
     * @param Event $event the event dispatch
     *
     * @return void
     */
    public function serializeStructure(Event $event)
    {
        $cache = new \Cache\AppCache();

        $struct = SiteSQL::getStructures();

        $structCache = $cache->get('structures', 9000);

        if ($structCache === false || $struct != $structCache) {
            $cache->create('structures', $struct);
        }
    }

    public function tracking(Event $event)
    {

    }

    /**
     * @param ApplicationEvent $event
     */
    public function filterResponse(ApplicationEvent $event)
    {
        $response = $event->getResponse();
        $request = $event->getRequest();

        // TODO : do something before return response
    }
}
