<div id="conteneur_contact" class="contact-block">
    {if !empty($error)}{include file="form/flash.tpl" class="error" messages=$error}{/if}
    {if !empty($success)}{include file="form/flash.tpl" class="success" messages=$success}{/if}

    <h2 class="bottom-grey-border">Formulaire de contact</h2>

    <form class="form-horizontal" method="post" name="contact" id="contact" action="{url page="contact_post"}">
        {if !empty($post.origin)}<input type="hidden" name="origin" value="{$post.origin}"/>{/if}
        <div class="clearfix">
            <div class="form-side-left">
                <div class="form-group">
                    <label for="client_nom">{txt value="Nom"}* :</label>
                    <input class="form-control" placeholder="{txt value="Nom"}* :" type="text" id="client_nom" name="client_nom" value="{if !empty($post.client_nom)}{$post.client_nom}{/if}" {role name="customer"} disabled="disabled"{/role}/>
                </div>

                <div class="form-group">
                    <label for="client_prenom">{txt value="Prénom"}* :</label>
                    <input class="form-control" placeholder="{txt value="Prénom"}* :" type="text" id="client_prenom" name="client_prenom" value="{if !empty($post.client_prenom)}{$post.client_prenom}{/if}" {role name="customer"} disabled="disabled"{/role}/>
                </div>

                <div class="form-group">
                    <label for="client_societe">{txt value="Société"} :</label>
                    <input class="form-control" placeholder="{txt value="Société"}" type="text" id="client_societe" name="client_societe" value="{if !empty($post.client_societe)}{$post.client_societe}{/if}" {role name="customer"} disabled="disabled"{/role}/>
                </div>

                <div class="form-group">
                    <label for="client_email">{txt value="Adresse email"}* :</label>
                    <input class="form-control" placeholder="{txt value="Adresse email"}* :" type="text" id="client_email" name="client_email" value="{if !empty($post.client_email)}{$post.client_email}{/if}" {role name="customer"} disabled="disabled"{/role}/>
                </div>

                <div class="form-group">
                    <label for="client_telephone">{txt value="Téléphone"}* :</label>
                    <input class="form-control" placeholder="{txt value="Téléphone"}* :" type="text" id="client_telephone" name="client_telephone" value="{if !empty($post.client_telephone)}{$post.client_telephone}{/if}" {role name="customer"} disabled="disabled"{/role}/>
                </div>

                {if !empty($arrSujet)}
                    <div class="form-group mobile">
                        <label for="sujet">{txt value="Sujet du message"}* :</label>
                            <select name="sujet" class="form-control" id="sujet">
                                <option value="" hidden {if empty($smarty.post.sujet_id)}selected="selected"{/if}>{txt value="Sujet du message"}* :</option>
                                {foreach from=$arrSujet item="su"}
                                    <option value="{$su.sujet_nom_nom}" {if !empty($smarty.post.sujet_id) && $smarty.post.sujet_id == $su.sujet_id}selected="selected"{/if}>{$su.sujet_nom_nom}</option>
                                {/foreach}
                            </select>
                    </div>
                    <div class="form-group desktop">
                        <label for="sujet">{txt value="Sujet du message"}* :</label>
                        <select name="sujet" class="form-control" id="sujet">
                            <option value="" hidden {if empty($smarty.post.sujet_id)}selected="selected"{/if}></option>
                            {foreach from=$arrSujet item="su"}
                                <option value="{$su.sujet_nom_nom}" {if !empty($smarty.post.sujet_id) && $smarty.post.sujet_id == $su.sujet_id}selected="selected"{/if}>{$su.sujet_nom_nom}</option>
                            {/foreach}
                        </select>
                    </div>
                {/if}

                {role name="customer"}
                    <div class="form-group">
                        <label for="client_commande_no">{txt value="Id de commante"}* :</label>
                        <input class="form-control" placeholder="{txt value="Id de commante"}* :" type="text" id="client_commande_no" name="client_commande_no" value=""/>
                    </div>
                {/role}
            </div>

            <div class="form-side-right">
                <div class="form-group">
                    <label for="client_message" class="message-label">{txt value="Message"}* :</label>
                    <textarea class="form-control" placeholder="{txt value="Votre message"}* :" cols="0" rows="6" name="client_message" id="client_message">{if !empty($post.client_message)}{$post.client_message}{/if}</textarea>
                </div>

                <div class="form-group submit-buttom">
                    <label>{txt value="* : champs obligatoires"}</label>
                    <input id="submit_contact_form" type="submit" value="{txt value="Valider"}" class="btn btn-red"/>
                </div>
            </div>

            <div class="contact-telephone">
                <h2 class="bottom-grey-border">{txt value="Par téléphone"}</h2>
                <p>
                    <strong>Notre boutique est ouverte du lundi au vendredi de 10h à 18h au <span>01 39 86 48 48</span></strong>
                </p>
            </div>

            <div class="contact-adress">
                <h2 class="bottom-grey-border">{txt value="Adresse"}</h2>
                <p>
                    <strong>
                        United Equipement<br>
                        5 Avenue des Morillons<br>
                        95140 Garges-Lès-Gonesse
                    </strong>
                </p>
            </div>
        </div>
    </form>
</div>